# Generated by Django 5.2.1 on 2025-07-22 16:41

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AccountType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='e.g., Free, Premium, Gold', max_length=50, unique=True)),
                ('level', models.IntegerField(help_text='Numerical hierarchy (0 for Free, 1 for Premium, etc.). Higher number = higher level.', unique=True, validators=[django.core.validators.MinValueValidator(0)])),
                ('description', models.TextField(blank=True, help_text='Optional description of this account type.')),
            ],
            options={
                'verbose_name': 'Account Type',
                'verbose_name_plural': 'Account Types',
                'ordering': ['level'],
            },
        ),
        migrations.CreateModel(
            name='UserAccountLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('account_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='users', to='django_accounts_management.accounttype')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='account_level', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'User Account Level',
                'verbose_name_plural': 'User Account Levels',
            },
        ),
    ]
